Bug 160224 - (regression) put the quick search pane for message list as it was before, i.e. switchable
Summary: (regression) put the quick search pane for message list as it was before, i.e...
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: message list (show other bugs)
Version: 1.9.9
Platform: OpenSUSE Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-01 20:12 UTC by Maciej Pilichowski
Modified: 2010-07-13 23:05 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
kmailsearchbar (7.83 KB, image/png)
2009-04-05 19:22 UTC, FernandoMiguel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2008-04-01 20:12:23 UTC
Version:            (using KDE 3.5.9)
Installed from:    SuSE RPMs

Till yesterday I worked using KDE 3.5.8 and if I am not mistaken KMail enterprise. There was QS but it was for a long time (and not only enterprise).

Now I have KDE 3.5.9 installed with regular KMail and QS is gone, the only sign it was there is one keyboard shortcut -- clear QS. And that's it, everything else is not there.

Please bring it back -- it was a useful feature.
Comment 1 Thomas McGuire 2008-04-01 20:22:58 UTC
It is still there for me. Maybe some config settings or .rc file problem?
Comment 2 Maciej Pilichowski 2008-04-01 20:41:10 UTC
Thomas, do you use regular KMail after update from enterprise? Where should look exactly, i.e. what key?

The surprising thing is that all QS related items (except for clear in keyboard shortcuts) are gone.
Comment 3 Maciej Pilichowski 2008-04-01 22:16:10 UTC
My knowledge of KMail internals is limited so I only found QS key active or inactive. I can turn on/off QS box this way :-) but since keyboard shortcuts, menu entries are gone I cannot do this on fly.

Is there any way user could add menus/shortcuts via rc files?
Comment 4 Peter Eisentraut 2008-04-07 11:23:55 UTC
I just received the upgrade from KDE 3.5.8 to 3.5.9 through Debian testing, and I too have to report that the quick search is gone.

If I recall correctly, there used to be a button that you could add to the toolbar to show and hide the quick search.  This is no longer to be found.  There is still a button for "Reset Quick Search", but that is kind of useless without a way to show the quick search.
Comment 5 Kiro Zimmer 2008-04-08 20:56:52 UTC
Same thing on Debian lenny with KDE 3.5.9 and KMail 1.9.9.
It has nothing to do with rc-files. Even a new user (first KDE start) has only the "Reset Quick Search" button...
Comment 6 Peter Eisentraut 2008-08-15 11:04:32 UTC
OK, I found it.  You need to got to Settings->Configure KMail->Appearance->Message List, and there you can check "Show Quick Search".

The "Reset Quick Search" button that you can add to the toolbar is now pretty useless, because the quick search bar always shows a reset button anyway.

Also, I have often actually used the "Show Quick Search" button in the toolbar to show and hide the search to make room.  I don't know how others feel about that, but I wouldn't mind if that button could come back.
Comment 7 FernandoMiguel 2008-11-22 11:19:24 UTC
https://bugs.launchpad.net/kdepim/+bug/194416 downstream
Comment 8 FernandoMiguel 2008-11-22 11:31:58 UTC
FYI with the new KDE4.2 version new icons show up in front of the QuickSearch bar, and even Settings->Configure KMail->Appearance->Message List option is now gone.
Comment 9 Jan Essert 2009-04-04 12:51:46 UTC
As far as I understand it after looking at the downstream bug, the original problem was that a method of toggling the quick search bar disappeared and it became more difficult to toggle the quick search bar. It was a downstream bug to make it disabled by default, which confused users.

As far as I can see on kmail 1.11.1 on kde 4.2.1, there is no longer a way to deactivate the quick search bar over the message window, so in this sense, this bug could be closed.

Perhaps this bug should be converted to a wish, making the quick search bar configurable, allowing it to be switched off.
Perhaps the original reporter and/or other people could confirm that this indeed a desired feature? Otherwise we should perhaps just close this bug.
Comment 10 Maciej Pilichowski 2009-04-04 15:04:17 UTC
Netz -- it long standing regression. This feature was present and now it is not (*). Regression issues are not wishes.

> on kmail 1.11.1 on kde 4.2.1, there is no longer a way to
> deactivate the quick search bar over the message window, 
> so in this sense, this bug could be closed.

So nothing has changed (fixed) (*) since this report was filled. 

(*) I didn't see new KDE 4.2.2 yet so I solely rely on your comment that this feature is still non-switchable.
Comment 11 FernandoMiguel 2009-04-05 16:32:16 UTC
@Jan as I mentioned on #8, it no longer makes sense since Kmail now has many more icons on that same line.

for me, close it for kde 4.x
Comment 12 Maciej Pilichowski 2009-04-05 17:57:54 UTC
What icons has to do with this report? The question is -- is the QS switchable or not. In KDE 4.2.1 it was still non-switchable so this report should still be opened as it is still valid.
Comment 13 FernandoMiguel 2009-04-05 19:22:17 UTC
Created attachment 32633 [details]
kmailsearchbar

are we talking about the same thing?
I'm referring to the search bar in this screenshot, as well as the icons in the right of it
Comment 14 Maciej Pilichowski 2009-04-05 20:11:43 UTC
Yes, this QS we are talking about.
Comment 15 FernandoMiguel 2009-04-05 20:15:26 UTC
(In reply to comment #14)
> Yes, this QS we are talking about.

then I see no interest in changing the current behavior for KDE4.x
do u?
Comment 16 Maciej Pilichowski 2009-04-05 21:56:27 UTC
How did you get to this conclusion?

KDE3 --> QS switchable.
KDE4 --> QS non-switchable.

Really, it is progress?
Comment 17 Martin Koller 2009-08-27 22:17:39 UTC
In the code I found the comment: 
// Eventually we want to be able to disable the quick search again, ...
so it's currently a known regression.
Comment 18 Björn Ruberg 2010-01-16 23:22:06 UTC
I cannot see why this bug is still open. The problem with KDE 3.5.8/9 will not be fixed - and in KDE 4 we don't have the configurability anymore.
Comment 19 Maciej Pilichowski 2010-01-17 09:07:12 UTC
Because it is report to have one. It is really no point in opening massive amounts of reports in such scheme:
* please make it configurable -> closed, because of the regression
* please put the feature back -> closed, fixed
* please make it configurable

It will triple the number of reports, quite obvious. Not to mention time wasted on the same reports.
Comment 20 Friedrich Strohmaier 2010-07-12 21:05:44 UTC
Are there any news with readding this feature? I upgraded from kmail 1.9.6 (enterprise 0.20070907.709405) to 1.9.10 IIRC and found this report and some more features cut off I cannot see any reason for.

Is there a way to vote for getting back easy toggling quick search off and on.

Meanwhile I downgraded back to 1.9.6 (enterprise 0.20070907.709405) getting back to an effective way of doing my daily work. :o\
Comment 21 Thomas McGuire 2010-07-13 23:05:05 UTC
SVN commit 1149628 by tmcguire:

Add back the ability to hide the quick search bar.

Patch by Richard Plangger <richard.plangger at gmx dot net>, many thanks!

BUG: 160224

 M  +0 -5      kmail/kmmainwidget.cpp  
 M  +3 -0      messagelist/core/settings.kcfg  
 M  +55 -18    messagelist/core/widgetbase.cpp  
 M  +5 -0      messagelist/core/widgetbase.h  
 M  +13 -1     messagelist/widget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1149628